package ink.wgink.module.file.media.pojo.vos.rtmp;

import io.swagger.annotations.ApiModel;

/**
 * @ClassName: RtmpCallbackVO
 * @Description: rtmp回调参数
 * @Author: wanggeng
 * @Date: 2022/4/22 14:44
 * @Version: 1.0
 */
@ApiModel
public class RtmpCallbackVO {

    private String action;
    private String client_id;
    private String ip;
    private String vhost;
    private String app;
    private String tcUrl;
    private String pageUrl;
    private String send_bytes;
    private String recv_bytes;
    private String stream;
    private String param;
    private String cwd;
    private String file;

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getClient_id() {
        return client_id;
    }

    public void setClient_id(String client_id) {
        this.client_id = client_id;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getVhost() {
        return vhost;
    }

    public void setVhost(String vhost) {
        this.vhost = vhost;
    }

    public String getApp() {
        return app;
    }

    public void setApp(String app) {
        this.app = app;
    }

    public String getTcUrl() {
        return tcUrl;
    }

    public void setTcUrl(String tcUrl) {
        this.tcUrl = tcUrl;
    }

    public String getPageUrl() {
        return pageUrl;
    }

    public void setPageUrl(String pageUrl) {
        this.pageUrl = pageUrl;
    }

    public String getSend_bytes() {
        return send_bytes;
    }

    public void setSend_bytes(String send_bytes) {
        this.send_bytes = send_bytes;
    }

    public String getRecv_bytes() {
        return recv_bytes;
    }

    public void setRecv_bytes(String recv_bytes) {
        this.recv_bytes = recv_bytes;
    }

    public String getStream() {
        return stream;
    }

    public void setStream(String stream) {
        this.stream = stream;
    }

    public String getParam() {
        return param;
    }

    public void setParam(String param) {
        this.param = param;
    }

    public String getCwd() {
        return cwd;
    }

    public void setCwd(String cwd) {
        this.cwd = cwd;
    }

    public String getFile() {
        return file;
    }

    public void setFile(String file) {
        this.file = file;
    }

    @Override
    public String toString() {
        return "{\"RtmpCallbackVO\":{"
                + "\"action\":\""
                + action + '\"'
                + ",\"client_id\":\""
                + client_id + '\"'
                + ",\"ip\":\""
                + ip + '\"'
                + ",\"vhost\":\""
                + vhost + '\"'
                + ",\"app\":\""
                + app + '\"'
                + ",\"tcUrl\":\""
                + tcUrl + '\"'
                + ",\"pageUrl\":\""
                + pageUrl + '\"'
                + ",\"send_bytes\":\""
                + send_bytes + '\"'
                + ",\"recv_bytes\":\""
                + recv_bytes + '\"'
                + ",\"stream\":\""
                + stream + '\"'
                + ",\"param\":\""
                + param + '\"'
                + ",\"cwd\":\""
                + cwd + '\"'
                + ",\"file\":\""
                + file + '\"'
                + "}}";

    }
}
